<%- include('../partials/header') %>

<div class="container mt-4">

    <% if (typeof error !=='undefined' ) {%>
    <div class="alert alert-danger">
        <%= error.errors[0].message %>
    </div>
    <% } %>
    
    <form method="POST" id="createUserForm" action="/api/user/create">
            
        <div>
            <label for="userName">User Name</label>
            <input type="text" name="userName" placeholder="Input user name" onChange="checkValue()" class="form-control mb-2">
            <label for="email">Email</label>
            <input type="text" name="email" placeholder="Input email" onChange="checkValue()" class="form-control mb-2">
            <label for="password">Password</label>
            <input type="text" name="password" placeholder="Input password" onChange="checkValue()" class="form-control mb-2">
            <label for="userName">Full Name</label>
            <input type="text" name="fullName" placeholder="Input full name" onChange="checkValue()" class="form-control mb-2">
            <label for="email">Age</label>
            <input type="text" name="age" placeholder="Input age" onChange="checkValue()" class="form-control mb-2">
            <label for="password">Country</label>
            <input type="text" name="country" placeholder="Input country" onChange="checkValue()" class="form-control mb-2">
        </div>
        <button id="saveBtn" type="submit" class="btn btn-success text-white mt-1 me-2" disabled>Save</button>
        <a href="/" class="btn btn-danger mt-1">Cancel</a>
    </form>

</div>

<%- include('../partials/footer') %>